Package it.ernytech.tdlib

## Class TdApi.ChatMemberStatusBanned

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatMemberStatus
    - - it.ernytech.tdlib.TdApi.ChatMemberStatusBanned

Enclosing class:
  TdApi

    public static class TdApi.ChatMemberStatusBanned
    extends TdApi.ChatMemberStatus

The user was banned (and hence is not a member of the chat). Implies the user can't return to the chat or view messages.

### Field Summary

Fields
`int` `bannedUntilDate` Point in time (Unix timestamp) when the user will be unbanned; 0 if never.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`ChatMemberStatusBanned()` Default constructor.
`ChatMemberStatusBanned​(int bannedUntilDate)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### bannedUntilDate

    public int bannedUntilDate

Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatMemberStatusBanned

    public ChatMemberStatusBanned()

Default constructor.

#### ChatMemberStatusBanned

    public ChatMemberStatusBanned​(int bannedUntilDate)

Constructor for initialization of all fields.

Parameters:
  `bannedUntilDate` - Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR